KYB Check
curl --request POST \
--url https://api.limitguard.ai/v1/kyb/check \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"entity_id": "<string>",
"registration_number": "<string>",
"country": "<string>",
"entity_name": "<string>",
"vat_number": "<string>",
"domain": "<string>"
}
'import requests
url = "https://api.limitguard.ai/v1/kyb/check"
payload = {
"entity_id": "<string>",
"registration_number": "<string>",
"country": "<string>",
"entity_name": "<string>",
"vat_number": "<string>",
"domain": "<string>"
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
entity_id: '<string>',
registration_number: '<string>',
country: '<string>',
entity_name: '<string>',
vat_number: '<string>',
domain: '<string>'
})
};
fetch('https://api.limitguard.ai/v1/kyb/check', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.limitguard.ai/v1/kyb/check",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'entity_id' => '<string>',
'registration_number' => '<string>',
'country' => '<string>',
'entity_name' => '<string>',
'vat_number' => '<string>',
'domain' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.limitguard.ai/v1/kyb/check"
payload := strings.NewReader("{\n \"entity_id\": \"<string>\",\n \"registration_number\": \"<string>\",\n \"country\": \"<string>\",\n \"entity_name\": \"<string>\",\n \"vat_number\": \"<string>\",\n \"domain\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("X-API-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.limitguard.ai/v1/kyb/check")
.header("X-API-Key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"entity_id\": \"<string>\",\n \"registration_number\": \"<string>\",\n \"country\": \"<string>\",\n \"entity_name\": \"<string>\",\n \"vat_number\": \"<string>\",\n \"domain\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.limitguard.ai/v1/kyb/check")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["X-API-Key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"entity_id\": \"<string>\",\n \"registration_number\": \"<string>\",\n \"country\": \"<string>\",\n \"entity_name\": \"<string>\",\n \"vat_number\": \"<string>\",\n \"domain\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"entity_id": "<string>",
"registration_number": "<string>",
"country": "<string>",
"verified": true,
"register_verified": true,
"register_checked": "KVK",
"sanctions_flagged": true,
"kyb_status": "<string>",
"trust_score": 50,
"trust_level": "<string>",
"cluster": "<string>",
"recommendation": "<string>",
"confidence": 0.5,
"top_factors": [
{
"source": "<string>",
"signal": "<string>",
"impact": "<string>",
"weight": 123
}
],
"sources_checked": 123,
"processing_time_ms": 123,
"risk_flags": [
"<string>"
],
"correlations": {},
"findings": [
{
"action": "<string>",
"why": "<string>",
"expected_result": "<string>"
}
],
"group_structure": {},
"group_chain": {},
"company_profile": {
"status": "active",
"headline": "<string>",
"stopped_on": "<string>",
"industry": {
"code": "01241",
"is_main": true,
"description": "Teelt van appels en peren"
},
"other_activities": [],
"employees": {
"total": 123,
"full_time": 123,
"part_time": 123
},
"branches": {
"total": 123,
"commercial": 123
},
"kvk_non_mailing": true,
"statutory_name": "<string>",
"trade_names": [],
"extended_legal_form": "<string>",
"websites": [],
"lines": [],
"personal_data_withheld": false
},
"response_quality": "<string>",
"disclaimers": [
"<string>"
]
}{
"title": "<string>",
"status": 123,
"retry": {
"price_usdc": 123,
"price_raw": 123,
"header": "X-Response-Quality",
"value": "fresh"
},
"type": "about:blank",
"detail": "<string>",
"instance": "<string>",
"errorCode": "not_cached"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}API Reference
KYB Check
Full KYB (Know Your Business) verification.
Combines entity trust check with sanctions screening and company
registration verification. Returns comprehensive KYB result with
verification status, risk flags, and compliance recommendations.
verified means trust_score 60 or more; register_verified says whether
the KVK or KBO register found the company.
Paid with x402 it costs $0.29 fresh or $0.25 cached (the agent price). An API key’s prepaid balance is debited $1.50 fresh or $0.25 cached (the account price).
POST
/
v1
/
kyb
/
check
KYB Check
curl --request POST \
--url https://api.limitguard.ai/v1/kyb/check \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"entity_id": "<string>",
"registration_number": "<string>",
"country": "<string>",
"entity_name": "<string>",
"vat_number": "<string>",
"domain": "<string>"
}
'import requests
url = "https://api.limitguard.ai/v1/kyb/check"
payload = {
"entity_id": "<string>",
"registration_number": "<string>",
"country": "<string>",
"entity_name": "<string>",
"vat_number": "<string>",
"domain": "<string>"
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
entity_id: '<string>',
registration_number: '<string>',
country: '<string>',
entity_name: '<string>',
vat_number: '<string>',
domain: '<string>'
})
};
fetch('https://api.limitguard.ai/v1/kyb/check', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.limitguard.ai/v1/kyb/check",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'entity_id' => '<string>',
'registration_number' => '<string>',
'country' => '<string>',
'entity_name' => '<string>',
'vat_number' => '<string>',
'domain' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.limitguard.ai/v1/kyb/check"
payload := strings.NewReader("{\n \"entity_id\": \"<string>\",\n \"registration_number\": \"<string>\",\n \"country\": \"<string>\",\n \"entity_name\": \"<string>\",\n \"vat_number\": \"<string>\",\n \"domain\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("X-API-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.limitguard.ai/v1/kyb/check")
.header("X-API-Key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"entity_id\": \"<string>\",\n \"registration_number\": \"<string>\",\n \"country\": \"<string>\",\n \"entity_name\": \"<string>\",\n \"vat_number\": \"<string>\",\n \"domain\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.limitguard.ai/v1/kyb/check")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["X-API-Key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"entity_id\": \"<string>\",\n \"registration_number\": \"<string>\",\n \"country\": \"<string>\",\n \"entity_name\": \"<string>\",\n \"vat_number\": \"<string>\",\n \"domain\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"entity_id": "<string>",
"registration_number": "<string>",
"country": "<string>",
"verified": true,
"register_verified": true,
"register_checked": "KVK",
"sanctions_flagged": true,
"kyb_status": "<string>",
"trust_score": 50,
"trust_level": "<string>",
"cluster": "<string>",
"recommendation": "<string>",
"confidence": 0.5,
"top_factors": [
{
"source": "<string>",
"signal": "<string>",
"impact": "<string>",
"weight": 123
}
],
"sources_checked": 123,
"processing_time_ms": 123,
"risk_flags": [
"<string>"
],
"correlations": {},
"findings": [
{
"action": "<string>",
"why": "<string>",
"expected_result": "<string>"
}
],
"group_structure": {},
"group_chain": {},
"company_profile": {
"status": "active",
"headline": "<string>",
"stopped_on": "<string>",
"industry": {
"code": "01241",
"is_main": true,
"description": "Teelt van appels en peren"
},
"other_activities": [],
"employees": {
"total": 123,
"full_time": 123,
"part_time": 123
},
"branches": {
"total": 123,
"commercial": 123
},
"kvk_non_mailing": true,
"statutory_name": "<string>",
"trade_names": [],
"extended_legal_form": "<string>",
"websites": [],
"lines": [],
"personal_data_withheld": false
},
"response_quality": "<string>",
"disclaimers": [
"<string>"
]
}{
"title": "<string>",
"status": 123,
"retry": {
"price_usdc": 123,
"price_raw": 123,
"header": "X-Response-Quality",
"value": "fresh"
},
"type": "about:blank",
"detail": "<string>",
"instance": "<string>",
"errorCode": "not_cached"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Body
application/json
Request model for KYB verification.
Response
KYB result
Response body of POST /v1/kyb/check.